import * as c3 from 'antlr4-c3';
import { ColumnAliasSuggestion, SymbolTableVisitor, Table } from './autocomplete-types';
import { ParseTree } from 'antlr4ng';
export declare class TableSymbol extends c3.TypedSymbol {
    name: string;
    alias: string | undefined;
    columns?: string[];
    constructor(name: string, alias?: string, columns?: string[], type?: c3.IType);
}
export declare class VariableSymbol extends c3.VariableSymbol {
    value: {
        columns?: string[];
    } | undefined;
}
export declare function getUniqueTableSuggestions(symbols?: TableSymbol[]): Table[];
export declare function getTablesFromSymbolTable(visitor: SymbolTableVisitor): Table[];
export declare class ColumnAliasSymbol extends c3.TypedSymbol {
    name: string;
    constructor(name: string, type?: c3.IType);
}
export declare function getColumnAliasesFromSymbolTable(visitor: SymbolTableVisitor): ColumnAliasSuggestion[];
export declare function getScope(context: ParseTree, symbolTable: c3.SymbolTable): c3.BaseSymbol | undefined;
